<%
  cu = current_user
  is_guest = cu.is_guest?
  content_for :head_links do
-%>
			<ul class="conr">
				<li><%= link_to "Show new posts", :controller => "search", :action => "show_new" %></li>
				<li><%= link_to "Mark all as read", :controller => "search", :action => "markread" %></li>
			</ul>
<%
  end

  content_for :foot_links do
    if is_guest
      if User.guest.group.g_search
-%>
			<dl id="searchlinks" class="conl">
				<dt><strong>Search links</strong></dt>
				<dd><%= link_to "Show recent posts", :controller => "search", :action => "show_24h" %></dd>
				<dd><%= link_to "Show unanswered posts", :controller => "search", :action => "show_unanswered" %></dd>
			</dl>
<%
      end
    else
-%>
			<dl id="searchlinks" class="conl">
				<dt><strong>Search links</strong></dt>
				<dd><%= link_to "Show recent posts", :controller => "search", :action => "show_24h" %></dd>
				<dd><%= link_to "Show unanswered posts", :controller => "search", :action => "show_unanswered" %></dd>
<%
      if Settings.subscriptions
-%>
				<dd><%= link_to "Show subscriptions", :controller => "search", :action => "show_subscriptions" %></dd>
<%
      end
-%>
				<dd><%= link_to "Show your posts", :controller => "search", :action => "user_posts" %></dd>
			</dl>
<%
    end
  end
  if @forums.length == 0
-%>
<div id="idx0" class="block">
	<div class="box">
		<div class="inbox">
			<p>Board is empty.</p>
		</div>
	</div>
</div>
<%
  else
  o = nil
  prev = nil
  (@forums+[nil]).each do |forum|
    # Check if we need to draw category header 
    if o && (!prev || prev.category.id != o.category.id)
      cat = o.category
-%>
<div id="idx1" class="blocktable">
	<h2><span><%=h cat.cat_name %></span></h2>
	<div class="box">
		<div class="inbox">
			<table cellspacing="0">
			<thead>
				<tr>
					<th class="tcl" scope="col">Forum</th>
					<th class="tc2" scope="col">Topics</th>
					<th class="tc3" scope="col">Posts</th>
					<th class="tcr" scope="col">Last post</th>
				</tr>
			</thead>
			<tbody>
<%
    end # category header done

    # if we have o, we draw it now, as forum is "the next current forum"
    # o may be null in the first iteration
    if o
      if !is_guest && o.last_post && cu.last_visit && o.last_post > cu.last_visit
        item_status = 'inew'
        icon_text = 'New icon'
        icon_type = 'icon new'
      elsif o.redirect_url != nil and !o.redirect_url.blank?
        item_status = 'iredirect'
	icon_text = 'Redirect icon'
	icon_type = 'icon'
      else
        icon_text = 'Normal icon'
        icon_type = 'icon'
      end
-%>
 				<tr<%= " class=#{item_status}" if item_status %>>
					<td class="tcl">
						<div class="intd">
							<div class="<%= icon_type %>"><div class="nosize"><%= icon_text %></div></div>
							<div class="tclcon">
<% if o.redirect_url != nil and !o.redirect_url.blank? -%>
								<h3><a href="<%=h o.redirect_url %>" title="Link to <%=h o.redirect_url %>"><%=h o.forum_name %></a></h3>
<% else -%>
								<h3><%= link_to h(o.forum_name), :action => "view", :id => o.id %></h3>
<% end -%>
								<%= o.forum_desc -%>
<%
      if o.moderators.is_a? Hash and !o.moderators.empty?
        mods = []
        for mod_id, mod_username in o.moderators
           mods.push link_to(mod_username, :controller => 'user', :action => 'view', :id => mod_id)
        end
-%>
							 	<p><em>Moderated by</em> <%= mods.join(", ") -%>
<%
      end
-%>
							</div>
						</div>
					</td>
					<td class="tc2"><%= o.num_topics %></td>
					<td class="tc3"><%= o.num_posts %></td>
					<td class="tcr"><%= o.last_post %></td>
				</tr>
<%
    end 

    # ok, draw category footer if necessary
    if forum.nil? || (o && o.category.id != forum.category.id)
-%>
			</tbody>
			</table>
		</div>
	</div>
</div>

<%
    end
    prev = o
    o = forum
  end
  end
-%>

<%
	total_users = User.count-1
	last_user = User.find :first, :order => 'created_at DESC'
	total_topics = Forum.sum(:num_topics)
	total_posts = Forum.sum(:num_posts)
-%>
<div id="brdstats" class="block">
	<h2><span>Board information</span></h2>
	<div class="box">
		<div class="inbox">
			<dl class="conr">
				<dt><strong>Board statistics</strong></dt>
				<dd>Total number of registered users: <strong><%= total_users %></strong></dd>
				<dd>Total number of topics: <strong><%= total_topics %></strong></dd>
				<dd>Total number of posts: <strong><%= total_posts %></strong></dd>
			</dl>
			<dl class="conl">
				<dt><strong>User information</strong></dt>
<% if last_user -%>
				<dd>Newest registered user: <a href="<%= url_for :controller => 'user', :action => 'view', :id => last_user.id %>"><%=h last_user.username %></a></dd>
<% end -%>
<%
if Settings.users_online
  # Fetch users online info and generate strings for output
  num_guests = 0
  users = []
  onlines = Online.find :all, :conditions => ['idle=?',false], :order => 'ident'
  for online in onlines
    if online.user_id > 1
      users.push online
    else
      num_guests = num_guests + 1
    end
  end
-%>
				<dd>Registered users online: <strong><%= users.length %></strong></dd>
				<dd>Guests online: <strong><%= num_guests %></strong></dd>
			</dl>
<% if users.length > 0 -%>
			<dl id="onlinelist" class= "clearb">
				<dt><strong>Online:&nbsp;</strong></dt>
<%=
users.map { |u| %|<dd><a href="#{url_for :controller => 'user', :action => 'view', :id => u.user_id }">#{h u.ident }</a>| }.join(', </dd>')+'</dd>'
-%>
			</dl>
<% else -%>
			<div class="clearer"></div>
<% end -%>
		</div>
	</div>
</div>
<% end -%>

